Package org.jcsp.net.cns

# Class CNSNetChannelLocation

java.lang.Object
org.jcsp.net.NetChannelLocation
org.jcsp.net.cns.CNSNetChannelLocation

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class CNSNetChannelLocation extends NetChannelLocation

Instances of this class are returned by the resolve methods of ``CNSService``. JCSP.NET users cannot create the objects directly.

The objects returned by the ``CNSService`` can be used in place of normal `NetChannelLocation` objects.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`boolean`
`refresh()`
This method requests that the instance of this class refresh its information.

### Methods inherited from class org.jcsp.net.NetChannelLocation

`checkEqual, clone, equals, getChannelAddress, getChannelLabel, getChannelNodeID, getStringID, hashCode, refreshFrom`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### refresh

public boolean refresh()
This method requests that the instance of this class refresh its information. The method will re-resolve the location of the `NetChannelInput` from the channel name server.

Overrides:
  `refresh` in class `NetChannelLocation`
Returns:
  `true` if any information has changed, otherwise `false`.